UNREGISTER_NETDEVICE(9)

NAME
unregister_netdevice_notifier - unregister a network notifier block

SYNOPSIS

int unregister_netdevice_notifier(struct notifier_block * nb);

ARGUMENTS

nb
    notifier

DESCRIPTION

Unregister a notifier previously registered by register_netdevice_notifier. The notifier is unlinked into the kernel structures and may then be reused. A negative errno code is returned on a failure.

After unregistering unregister and down device events are synthesized for all devices on the device list to the removed notifier to remove the need for special case cleanup code.

COPYRIGHT